Aller au contenu principal
Sujet: Openshot ne se lance pas (Lu 545 fois) sujet précédent - sujet suivant

Openshot ne se lance pas

Bonjour.

La cohabitation des applications gtk sous environnement qt, ne se passent pas toujours bien.

Prenons notre ami  Editeur de Vidéo "Openshot" écrit en pyGtk, (écrit en Python pour des applications utilisant des bibliothèques Gtk).

Citer
Et Bien M. KDE Plasma, n'est pas content, et refuse de lancer Openshot, dans la majeur partie des cas.

(Voilà une chose que les windowsiens et macOS fuient, : C'est de mettre la main dans le cambouis, ils ont bien autres choses a faire en sortant du taff). Propriétaire Vs Opensource...
 

Si vous avez un refus d'openshot de se lancer, avec pour erreur :


  • vérifier que vous avez installer -python3-setuptools (qui fournit pkg_ressources)
  • vérifier les droits d'accés au dossier "site-packages" :
/usr/lib/python3.7/site-packages


Si vous avez un refus de permission d'accès
changez les droits d'accès au dossier "site-packages'
sudo chmod -R 755 site-packages
Ceci permettra l'accès Lecture & exécution pour
  • groupe
  • et autres

et ainsi l'accès necéssaire au dossier :
  • wheel-0.33.6.dist-info

et aux fichiers
  • PKG-INFO
  • entry.points.txxt
du répertoir : openshot_xxxx-xxx.egg-info

Et voilà , vous aurez Openshot Editor Vidéo gratuitement qui fonctione sous KDE Plasma  ;D

[1]

Vous pouvez faire chmod récurssif  2 répertoires  cités

Re : Openshot ne se lance pas

Répondre #1
Super, merci pour l'info, je pense que ce n'est pas le seul et que sous opensuse on a malheureusement soit trop de dependances comme évolution qui si on l'installe nous embarque tout  ou une partie de gnome... soit pas assez et ça echoue au lancement, comme le cas que tu annonces ou bien pitivi.


Re : Openshot ne se lance pas

Répondre #2
Salut,
Sur tumbleweed pour python3.7
chez moi, les droits ne sont pas les mêmes et je n'ai rien bidouillé (leap 15.1)
ls -l /usr/lib/python3.6/
total 0
drwxr-xr-x 1 root root 7220 29 oct.  14:05 site-packages
un souci dans ton installation pour ces problèmes de droits ?

Re : Openshot ne se lance pas

Répondre #3
Bonsoir @chalu‍,

La Tumbleweed, d'un cliché a un autre , tu peux avoir des subtilités de config propre au mainteneur  🤔🤔🤔

exemple, j'ai un proxy web cache Squid, avec des droits spécifiques pour le répertoire :

/var/cache/squid/
/usr/local/squid/cache/

Et bien a chaque maj de squid, j'avais un blocage, car M. le mainteneur avait changé les droits d'accès de ces 2 répertoires.

Je devais remettre les bons droits a la papouille..

Bon maintenant j'ai constaté qu'il met les bons droits avec un safe sur les logs de squid...

;)

Re : Openshot ne se lance pas

Répondre #4
Bon je crois que c'est encore tumbleweed qui doit merder avec openshot-qt, j'ai rien installé encore et ça s'ouvre bien. Reste plus qu'a regarder les différences de versions entre leap et tumbleweed.

zypper search Openshot 
Chargement des données du dépôt...
Lecture des paquets installés...

S | Nom                     | Résumé                                            | Type 
--+-------------------------+---------------------------------------------------+-------
  | libopenshot-audio-devel | Development files for libopenshot-audio           | paquet
  | libopenshot-audio6      | Audio library for the OpenShot video editor       | paquet
  | libopenshot-devel       | Development files for libopenshot                 | paquet
  | libopenshot14           | The core library for the OpenShot video editor    | paquet
  | openshot-qt             | Non-linear video editor with broad format support | paquet
  | python3-openshot        | Python bindings for the OpenShot library          | paquet
debiacerlinux:/home/sebastien # zypper install openshot-qt
Chargement des données du dépôt...
Lecture des paquets installés...
Résolution des dépendances des paquets...

Les 31 NOUVEAUX paquets suivants vont être installés :
  libopenshot14 libopenshot-audio6 libpgm-5_2-0 libzmq5 openshot-qt python3-attrs python3-Automat
  python3-bcrypt python3-constantly python3-gevent python3-greenlet python3-httplib2 python3-hyperlink
  python3-incremental python3-openshot python3-paramiko python3-pexpect python3-psutil
  python3-ptyprocess python3-pyasn1-modules python3-pycrypto python3-PyNaCl python3-pyserial
  python3-pyxdg python3-pyzmq python3-service_identity python3-simplejson python3-tornado
  python3-Twisted python3-zope.interface zeromq-tools

Les 9 paquets recommandés suivants ont été automatiquement sélectionnés :
  python3-gevent python3-paramiko python3-pexpect python3-psutil python3-service_identity
  python3-simplejson python3-tornado python3-Twisted zeromq-tools

31 nouveaux paquets à installer.
Taille de téléchargement totale : 62,2 MiB. Déjà en cache : 0 B. Après l'opération, 147,8 MiB d'espace
disque supplémentaire sera utilisé.

...

Recherche de conflits de fichiers : .............................................................[fait]
( 1/31) Installation de : libopenshot-audio6-0.1.5-lp151.2.4.x86_64 .............................[fait]
( 2/31) Installation de : libpgm-5_2-0-5.2.122-lp151.3.3.x86_64 .................................[fait]
( 3/31) Installation de : python3-PyNaCl-1.2.1-lp151.2.3.x86_64 .................................[fait]
( 4/31) Installation de : python3-attrs-17.4.0-lp151.2.4.noarch .................................[fait]
( 5/31) Installation de : python3-bcrypt-3.1.4-lp151.3.1.x86_64 .................................[fait]
( 6/31) Installation de : python3-constantly-15.1.0-lp151.2.2.noarch ............................[fait]
( 7/31) Installation de : python3-greenlet-0.4.13-lp151.2.3.x86_64 ..............................[fait]
( 8/31) Installation de : python3-httplib2-0.10.3-lp151.4.2.noarch ..............................[fait]
( 9/31) Installation de : python3-hyperlink-17.2.1-lp151.2.3.noarch .............................[fait]
(10/31) Installation de : python3-psutil-5.4.8-lp151.1.1.x86_64 .................................[fait]
(11/31) Installation de : python3-ptyprocess-0.5.2-lp151.2.1.noarch .............................[fait]
(12/31) Installation de : python3-pyasn1-modules-0.2.1-lp151.2.2.noarch .........................[fait]
(13/31) Installation de : python3-pycrypto-2.6.1-lp151.2.4.x86_64 ...............................[fait]
(14/31) Installation de : python3-pyserial-3.4-lp151.2.3.noarch .................................[fait]
Sortie rpm supplémentaire:
update-alternatives: using /usr/bin/miniterm-3.6 to provide /usr/bin/miniterm (miniterm) in auto mode 


(15/31) Installation de : python3-pyxdg-0.25-lp151.2.1.noarch ...................................[fait]
(16/31) Installation de : python3-simplejson-3.13.2-lp151.2.4.x86_64 ............................[fait]
(17/31) Installation de : python3-zope.interface-4.4.2-lp151.2.3.x86_64 .........................[fait]
(18/31) Installation de : python3-paramiko-2.4.2-lp151.1.1.noarch ...............................[fait]
(19/31) Installation de : python3-gevent-1.2.2-lp151.4.5.x86_64 .................................[fait]
(20/31) Installation de : python3-pexpect-4.3.1-lp151.2.1.noarch ................................[fait]
(21/31) Installation de : python3-service_identity-16.0.0-lp151.2.3.noarch ......................[fait]
(22/31) Installation de : python3-Automat-0.6.0-lp151.2.2.noarch ................................[fait]
Sortie rpm supplémentaire:
update-alternatives: using /usr/bin/automat-visualize-3.6 to provide /usr/bin/automat-visualize (automat-visualize) in auto mode


(23/31) Installation de : python3-incremental-17.5.0-lp151.2.2.noarch ...........................[fait]
(24/31) Installation de : libzmq5-4.2.3-lp151.5.3.1.x86_64 ......................................[fait]
(25/31) Installation de : python3-Twisted-17.9.0-lp151.3.6.1.x86_64 .............................[fait]
(26/31) Installation de : zeromq-tools-4.2.3-lp151.5.3.1.x86_64 .................................[fait]
(27/31) Installation de : python3-tornado-4.5.3-lp151.2.4.x86_64 ................................[fait]
(28/31) Installation de : libopenshot14-0.1.9-lp151.2.4.x86_64 ..................................[fait]
(29/31) Installation de : python3-pyzmq-17.0.0-lp151.2.3.x86_64 .................................[fait]
(30/31) Installation de : python3-openshot-0.1.9-lp151.2.4.x86_64 ...............................[fait]
(31/31) Installation de : openshot-qt-2.4.1-lp151.2.61.noarch ...................................[fait]
Sortie rpm supplémentaire:
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'

Re : Openshot ne se lance pas

Répondre #5
A moins que ça vient d'une autre application que j'aurais installé, comme Deluge qui de mémoire est en python et gtk.

Re : Openshot ne se lance pas

Répondre #6
re @Seb95Passionlinux‍ 

Je pense qu'il te manque 1 dépendance, je te mets les miennes : 

  • libopenshot-audio-devel
  • libopenshot-audio6
  • libopenshot-devel
  • libopenshot17 (toi tu as le libopenshot14)
  • openshot-qt
  • python3-openshot

Peux tu me donner tes droits d'openshot-qt dans 

su - /usr/bin/openshot-qt

et 

su - /usr/lib/python3.xxx/site-packages

Ça devrait être en drwxr-xr-x

Re : Openshot ne se lance pas

Répondre #7
A moins que ça vient d'une autre application que j'aurais installé, comme Deluge qui de mémoire est en python et gtk.
 Kde Plasma gère bien les 2 biblothèques, c'est paramètrable dans configuration de kde